%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-lodash
Version:    1.3.1
Release:    3%{?dist}
Summary:    A low-level utility library delivering consistency and customization
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/bestiejs/lodash
Source0:    http://registry.npmjs.org/lodash/-/lodash-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# revision control repository.
Source1:    tests-v%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

# /usr/lib/rpm/nodejs.req fails if node engine version is omitted. This is a
# temporary fix.
Patch0:     %{name}-1.3.1-node-version.patch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
# Not yet packaged for Fedora, only seems available for Red Hat Satellite:
# https://bugzilla.redhat.com/show_bug.cgi?id=726307
#BuildRequires:  google-closure-compiler
BuildRequires:  npm(tar)
BuildRequires:  npm(qunit)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -D -T -a 1 -n package
%patch0 -p1
chmod -x index.js

# Remove bundled Node.js modules.
rm -rf vendor/
ln -sf %{nodejs_sitelib} vendor

# Minified/pre-compiled JS scripts must not be installed.
find dist/ -type f -iname '*.min.js' -delete


%build
%nodejs_symlink_deps --check
# This command produces the minified scripts (and nothing else).
# However, it currently requires google-closure-compiler which
# does not yet seem packagable for Fedora, so this must be skipped
# for now. The aim is to build the minified scripts once it becomes
# possible to do so while adhering to the packaging guidelines.
#./build.js -m


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/lodash
cp -pr package.json index.js dist/ \
    %{buildroot}%{nodejs_sitelib}/lodash

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%__nodejs test/test.js ../dist/lodash.js
%endif


%files
%doc LICENSE.txt README.md
%{nodejs_sitelib}/lodash


%changelog
* Sat Jul 27 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.1-3
- add ExclusiveArch logic

* Thu Jun 27 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.1-2
- add more comments

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.1-1
- initial package
